---
name: cnf testsuite
testsuite_version: v0.45.0
status:
command: /usr/local/bin/cnf-testsuite cert
points: 1272
exit_code: 0
items:
- name: helm_chart_valid
  status: passed
  type: normal
  points: 5
- name: helm_chart_published
  status: passed
  type: normal
  points: 5
- name: helm_deploy
  status: passed
  type: normal
  points: 5
- name: cni_compatible
  status: skipped
  type: normal
  points: 0
- name: increase_decrease_capacity
  status: passed
  type: essential
  points: 100
- name: rollback
  status: failed
  type: normal
  points: 0
- name: no_local_volume_configuration
  status: passed
  type: bonus
  points: 1
- name: elastic_volumes
  status: failed
  type: bonus
  points: 0
- name: node_drain
  status: failed
  type: essential
  points: 0
- name: symlink_file_system
  status: passed
  type: normal
  points: 5
- name: privilege_escalation
  status: failed
  type: normal
  points: 0
- name: insecure_capabilities
  status: passed
  type: normal
  points: 5
- name: resource_policies
  status: passed
  type: essential
  points: 100
- name: linux_hardening
  status: failed
  type: bonus
  points: 0
- name: ingress_egress_blocked
  status: failed
  type: bonus
  points: 0
- name: host_pid_ipc_privileges
  status: passed
  type: normal
  points: 5
- name: non_root_containers
  status: failed
  type: essential
  points: 0
- name: privileged_containers
  status: passed
  type: essential
  points: 100
- name: immutable_file_systems
  status: failed
  type: bonus
  points: 0
- name: hostpath_mounts
  status: passed
  type: essential
  points: 100
- name: container_sock_mounts
  status: passed
  type: essential
  points: 100
- name: external_ips
  status: passed
  type: normal
  points: 5
- name: selinux_options
  status: na
  type: essential
  points: 0
- name: sysctls
  status: passed
  type: normal
  points: 5
- name: host_network
  status: passed
  type: normal
  points: 5
- name: service_account_mapping
  status: failed
  type: normal
  points: 0
- name: application_credentials
  status: passed
  type: normal
  points: 5
- name: nodeport_not_used
  status: passed
  type: normal
  points: 5
- name: hostport_not_used
  status: passed
  type: essential
  points: 100
- name: hardcoded_ip_addresses_in_k8s_runtime_configuration
  status: passed
  type: essential
  points: 100
- name: secrets_used
  status: skipped
  type: bonus
  points: 0
- name: immutable_configmap
  status: failed
  type: bonus
  points: 0
- name: require_labels
  status: passed
  type: normal
  points: 5
- name: latest_tag
  status: passed
  type: essential
  points: 100
- name: default_namespace
  status: failed
  type: normal
  points: 0
- name: operator_installed
  status: na
  type: bonus
  points: 0
- name: log_output
  status: passed
  type: essential
  points: 100
- name: prometheus_traffic
  status: skipped
  type: bonus
  points: 0
- name: open_metrics
  status: skipped
  type: bonus
  points: 0
- name: routed_logs
  status: skipped
  type: bonus
  points: 0
- name: tracing
  status: skipped
  type: bonus
  points: 0
- name: reasonable_image_size
  status: skipped
  type: normal
  points: 0
- name: reasonable_startup_time
  status: passed
  type: normal
  points: 5
- name: single_process_type
  status: passed
  type: essential
  points: 100
- name: service_discovery
  status: passed
  type: bonus
  points: 1
- name: shared_database
  status: na
  type: normal
  points: 0
- name: pod_network_latency
  status: failed
  type: bonus
  points: 0
- name: pod_network_corruption
  status: failed
  type: bonus
  points: 0
- name: disk_fill
  status: failed
  type: normal
  points: 0
- name: pod_delete
  status: passed
  type: normal
  points: 5
- name: pod_memory_hog
  status: failed
  type: normal
  points: 0
- name: pod_io_stress
  status: failed
  type: bonus
  points: 0
- name: pod_dns_error
  status: skipped
  type: bonus
  points: 0
- name: pod_network_duplication
  status: failed
  type: bonus
  points: 0
- name: liveness
  status: passed
  type: essential
  points: 100
- name: readiness
  status: passed
  type: essential
  points: 100
maximum_points: 1512
total_passed: 28 of 38
essential_passed: 12 of 14
